#ifndef SIMPLE_ITEM_H
#define SIMPLE_ITEM_H

#include <QtGui/QWidget>
#include <QtGui/QLabel>
#include <string>
#include "softProj\clientServer\structs.h"

///Auxiliary structure to holt basic Ship and Baseline data used by some widgets.
struct SimpleItem 
{
	id_t id;	/**< unique ship or baseline id */
	std::string name;	/**< ship or baseline name */
	id_t classId;	/**< type of the ship or baseline */
	std::string realmName;
	EFortressType fortressType;
	bool isShell;

	SimpleItem() {
		id = 0;
		classId = 0;
		name.clear();
		realmName.clear();
	};
};

#endif